package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_order_settle
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsOrderSettle implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 商户号
     */
    private String merNo;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 入账商户号
     */
    private String settleMerNo;

    /**
     * 入账商户key
     */
    private String settleMerKey;

    /**
     * 入账金额
     */
    private BigDecimal settleAmount;

    /**
     * 是否分账  0：否  1：是
     */
    private Boolean ledgerFlag;

    /**
     * 分账订单号
     */
    private String ledgerOrderNo;

    /**
     * 分账金额
     */
    private BigDecimal ledgerAmount;

    /**
     * 分账状态  0：待处理  1：已完成  2：处理中   3：已受理  4：失败   5：撤销中  6：撤销成功  7：撤销失败
     */
    private Integer ledgerStatus;

    /**
     * 撤销单号
     */
    private String revokeOrderNo;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getSettleMerNo() {
        return settleMerNo;
    }

    public void setSettleMerNo(String settleMerNo) {
        this.settleMerNo = settleMerNo;
    }

    public String getSettleMerKey() {
        return settleMerKey;
    }

    public void setSettleMerKey(String settleMerKey) {
        this.settleMerKey = settleMerKey;
    }

    public BigDecimal getSettleAmount() {
        return settleAmount;
    }

    public void setSettleAmount(BigDecimal settleAmount) {
        this.settleAmount = settleAmount;
    }

    public Boolean getLedgerFlag() {
        return ledgerFlag;
    }

    public void setLedgerFlag(Boolean ledgerFlag) {
        this.ledgerFlag = ledgerFlag;
    }

    public String getLedgerOrderNo() {
        return ledgerOrderNo;
    }

    public void setLedgerOrderNo(String ledgerOrderNo) {
        this.ledgerOrderNo = ledgerOrderNo;
    }

    public BigDecimal getLedgerAmount() {
        return ledgerAmount;
    }

    public void setLedgerAmount(BigDecimal ledgerAmount) {
        this.ledgerAmount = ledgerAmount;
    }

    public Integer getLedgerStatus() {
        return ledgerStatus;
    }

    public void setLedgerStatus(Integer ledgerStatus) {
        this.ledgerStatus = ledgerStatus;
    }

    public String getRevokeOrderNo() {
        return revokeOrderNo;
    }

    public void setRevokeOrderNo(String revokeOrderNo) {
        this.revokeOrderNo = revokeOrderNo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsOrderSettle other = (BsOrderSettle) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMerNo() == null ? other.getMerNo() == null : this.getMerNo().equals(other.getMerNo()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getSettleMerNo() == null ? other.getSettleMerNo() == null : this.getSettleMerNo().equals(other.getSettleMerNo()))
            && (this.getSettleMerKey() == null ? other.getSettleMerKey() == null : this.getSettleMerKey().equals(other.getSettleMerKey()))
            && (this.getSettleAmount() == null ? other.getSettleAmount() == null : this.getSettleAmount().equals(other.getSettleAmount()))
            && (this.getLedgerFlag() == null ? other.getLedgerFlag() == null : this.getLedgerFlag().equals(other.getLedgerFlag()))
            && (this.getLedgerOrderNo() == null ? other.getLedgerOrderNo() == null : this.getLedgerOrderNo().equals(other.getLedgerOrderNo()))
            && (this.getLedgerAmount() == null ? other.getLedgerAmount() == null : this.getLedgerAmount().equals(other.getLedgerAmount()))
            && (this.getLedgerStatus() == null ? other.getLedgerStatus() == null : this.getLedgerStatus().equals(other.getLedgerStatus()))
            && (this.getRevokeOrderNo() == null ? other.getRevokeOrderNo() == null : this.getRevokeOrderNo().equals(other.getRevokeOrderNo()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMerNo() == null) ? 0 : getMerNo().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getSettleMerNo() == null) ? 0 : getSettleMerNo().hashCode());
        result = prime * result + ((getSettleMerKey() == null) ? 0 : getSettleMerKey().hashCode());
        result = prime * result + ((getSettleAmount() == null) ? 0 : getSettleAmount().hashCode());
        result = prime * result + ((getLedgerFlag() == null) ? 0 : getLedgerFlag().hashCode());
        result = prime * result + ((getLedgerOrderNo() == null) ? 0 : getLedgerOrderNo().hashCode());
        result = prime * result + ((getLedgerAmount() == null) ? 0 : getLedgerAmount().hashCode());
        result = prime * result + ((getLedgerStatus() == null) ? 0 : getLedgerStatus().hashCode());
        result = prime * result + ((getRevokeOrderNo() == null) ? 0 : getRevokeOrderNo().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", merNo=").append(merNo);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", settleMerNo=").append(settleMerNo);
        sb.append(", settleMerKey=").append(settleMerKey);
        sb.append(", settleAmount=").append(settleAmount);
        sb.append(", ledgerFlag=").append(ledgerFlag);
        sb.append(", ledgerOrderNo=").append(ledgerOrderNo);
        sb.append(", ledgerAmount=").append(ledgerAmount);
        sb.append(", ledgerStatus=").append(ledgerStatus);
        sb.append(", revokeOrderNo=").append(revokeOrderNo);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}